package com.viettel.campaign.service;

import com.viettel.campaign.web.dto.CampaignAgentsDTO;
import com.viettel.campaign.web.dto.ResultDTO;

public interface AgentsService {
    ResultDTO getAgentsByAgentId(String agentId);

    ResultDTO getAllAgentsByCompanySiteId(int page, int pageSize, Long companySiteId);

    ResultDTO getAllAgentsSelectedByCompanySiteId(int page, int pageSize, Long companySiteId, Long campaignId);

    ResultDTO createCampaignAgents(CampaignAgentsDTO campaignAgentsDTO);
}
